package org.rcisoft.integration.jieLink.dto;

import lombok.Data;

/**
 * 捷顺用户信息接口
 */
@Data
public class JieLinkPersonDto {

    /**
     * 组织机构ID
     */
    private String deptId;

    /**
     * 人员编号
     */
    private String personNo;

    /**
     * 人员姓名
     * 必填参数
     */
    private String personName;


    /**
     * 人员性别
     */
    private Integer personGender;

    /**
     * 备注
     */
    private String remark;

    /**
     * 人员图片
     * base64图片字符串
     */
    private String personPhoto;

    /**
     * 证件类型
     * 枚举类型
     */
    private String certificateType;

    /**
     * 证件号码
     */
    private String identityNo;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 电话1
     */
    private String tel1;

    /**
     * 电话2
     */
    private String tel2;

    /**
     * 邮箱地址
     */
    private String email;


    /**
     * 所在房间号码
     */
    private String roomNo;

    /**
     * 地址
     */
    private String address;

    /**
     * 用户类型
     * 枚举类型
     */
    private Integer tenementType;

    /**
     *捷顺用户主键ID
     * 返回专用
     */
    private String personId;


}
