package org.rcisoft.integration.jieLink.dto;

import lombok.Data;

/**
 * 万傲用户信息接口
 */
@Data
public class ZKTPersonDto {

    /**
     * 人员编号，必填
     */
    private String pin;

    /**
     * 部门编号
     */
    private String deptCode;

    /**
     * 姓名
     */
    private String name;


    /**
     * 人员姓名，英文下才有用
     */
    private String lastName;

    /**
     * 性别，M 男，F 女
     */
    private String gender;

    /**
     * 卡号
     */
    private String cardNo;

    /**
     * 生日日期
     */
    private String birthday;

    /**
     * 车牌号码，中文下格式为“闽_B23232”,其中“闽”为基础车牌(基
     * 础车牌从中文版 3.0.0_R 开始才有的)，非中文为“232323”；注：(1)中文下车
     * 牌号码格式如果不正确则不予保存，如果基础车牌在软件中不存在，如“军_A23232”需要去软件中新增该基础车牌，以免造成数据错乱；(2)类似36
     * "WJ_2323232"等特殊车牌，需要到软件新增基础车牌 WJ；(3)carPlate 这个参数
     * 适用国内 3.3.0_R 及之后的版本，海外 2.0.0_R 及之后的版本
     */
    private String carPlate;

    /**
     * 证件号码
     */
    private String certNumber;

    /**
     * 证件类型，2：二代身份证，3：护照，4：驾照，5：工作证，6：市民卡，7：驾驶证；1000：厦门社保卡，1001：港澳通行证
     */
    private String certType;

    /**
     * : 邮箱地址
     */
    private String email;

    /**
     * 人员入职日期
     */
    private String hireDate;


    /**
     * 是否是禁止名单
     */
    private boolean isDisabled;

    /**
     * 是否发送邮件
     */
    private boolean isSendMail;

    /**
     * 手机号码
     */
    private String mobilePhone;

    /**
     * 人员照片base64 格式；
     */
    private String personPhoto;

    /**
     * 设备验证密码
     */
    private String personPwd;

    /**
     * 社会安全号
     */
    private String ssn;

    /**
     * 副卡，要使用该功能，需要在人事参数设置开启一人多卡，可以
     * 设置多个，多个用逗号隔开
     */
    private String supplyCards;

    /**
     * 门 禁 权 限 组 id 集 合 ， 多 个 用 逗 号 隔 开
     */
    private String accLevelIds;

    /**
     * 门禁有效开始时间，如：2017-08-04 15:45:00
     */
    private String accStartTime;

    /**
     *门禁有效结束时间，如：2017-08-04 23:59:59
     */
    private String accEndTime;


}
