package org.rcisoft.integration.jieLink.service;

import org.rcisoft.integration.jieLink.dto.JieLinkDoorRecordDto;
import org.rcisoft.integration.jieLink.dto.JieLinkResultDto;
import org.rcisoft.sys.sysuser.entity.SysDept;
import org.rcisoft.sys.sysuser.entity.SysUser;
import org.springframework.stereotype.Service;

/**
 * 万傲瑞达对接服务接口
 */
@Service
public interface IZKTecoService {


    /**
     * 推送新增用户对象到捷顺服务中
     * @param userData
     * @return
     */
    public boolean pushAddUserData(SysUser userData);


    /**
     * 推送更新的用户信息到接口服务中
     * @param userData
     * @return
     */
    public boolean pushDelUserData(SysUser userData);


    /**
     * 注销门禁服务
     * 该服务主要针对删除用户操作
     * @param userData
     * @return
     */
    public boolean closeCertificateServiceData(SysUser userData);


    /**
     * 保存门禁访问记录
     * @param recordDto
     * @return
     */
    public boolean saveDoorRecordInfo(String startTime,String endTime);


    /**
     * 推送新增部门对象到捷顺服务中
     * @param userData
     * @return
     */
    public boolean pushAddDeptData(SysDept sysDept);


    /**
     * 推送更新的部门信息到接口服务中
     * @param userData
     * @return
     */
    public boolean pushDelDeptData(SysDept sysDept);

}
