package org.rcisoft.integration.video.config;

import com.sun.jna.Pointer;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.integration.video.common.VideoDeviceHandel;
import org.rcisoft.integration.video.lib.NetSDKLib;

import java.util.concurrent.ConcurrentHashMap;

/**
 * 断线处理机制策略
 */
@Slf4j
public class DisConnect implements NetSDKLib.fDisConnect{
    @Override
    public void invoke(NetSDKLib.LLong lLoginID, String pchDVRIP, int nDVRPort, Pointer dwUser) {
        ConcurrentHashMap<Long, VideoDeviceHandel> videoDeviceMap = DaHuaVideoInitConfig.videoDeviceMap;
        Long nowDeviceId = null;
        for(Long deviceId: videoDeviceMap.keySet()){
            VideoDeviceHandel handel = videoDeviceMap.get(deviceId);
            if(!handel.isLoginStatus() || handel.getDeviceLoginHandle()==null){
                continue;
            }
            NetSDKLib.LLong deviceLoginHandle = handel.getDeviceLoginHandle();
            if(deviceLoginHandle.longValue() == lLoginID.longValue()){
                handel.setLoginStatus(false);
                nowDeviceId = deviceId;
                break;
            }
        }
        if(nowDeviceId!=null){
            VideoDeviceHandel handel = videoDeviceMap.get(nowDeviceId);
            handel.setLoginStatus(false);
            videoDeviceMap.put(nowDeviceId,handel);
        }
    }
}
