package org.rcisoft.integration.video.config;

import com.sun.jna.Pointer;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.integration.video.common.VideoDeviceHandel;
import org.rcisoft.integration.video.lib.NetSDKLib;

import java.util.concurrent.ConcurrentHashMap;

/**
 *设备连接恢复策略，实现设备连接恢复接口
 */
@Slf4j
public class HaveReConnect implements NetSDKLib.fHaveReConnect{
    @Override
    public void invoke(NetSDKLib.LLong lLoginID, String pchDVRIP, int nDVRPort, Pointer dwUser) {
        ConcurrentHashMap<Long, VideoDeviceHandel> videoDeviceMap = DaHuaVideoInitConfig.videoDeviceMap;
        Long nowDeviceId = null;
        for(Long deviceId: videoDeviceMap.keySet()){
            VideoDeviceHandel handel = videoDeviceMap.get(deviceId);
            if(handel.isLoginStatus()){
                continue;
            }
            NetSDKLib.LLong deviceLoginHandle = handel.getDeviceLoginHandle();
            if(deviceLoginHandle!=null && deviceLoginHandle.longValue() == lLoginID.longValue()){
                handel.setLoginStatus(true);
                nowDeviceId = deviceId;
            }
        }
        if(nowDeviceId!=null){
            VideoDeviceHandel handel = videoDeviceMap.get(nowDeviceId);
            handel.setLoginStatus(true);
            videoDeviceMap.put(nowDeviceId,handel);
        }
    }
}
